VGCHANGE(8)

NAME
vgchange - change attributes of a volume group

SYNOPSIS
vgchange [--addtag Tag] [--alloc AllocationPolicy] [-A|--autobackup {y|n}] [-a|--available [e|l] {y|n}] [--monitor {y|n}] [-c|--clustered {y|n}] [-u|--uuid] [-d|--debug] [--deltag Tag] [-h|--help] [--ignorelockingfailure] [--ignoremonitoring] [-l|--logicalvolume MaxLogicalVolumes] [-p|--maxphysicalvolumes MaxPhysicalVolumes] [-P|--partial] [-s|--physicalextentsize PhysicalExtentSize[kKmMgGtT]] [-t|--test] [-v|--verbose] [--version] [-x|--resizeable {y|n}] [VolumeGroupName...]

DESCRIPTION
vgchange allows you to change the attributes of one or more volume groups. Its main purpose is to activate and deactivate VolumeGroupName, or all volume groups if none is specified. Only active volume groups are subject to changes and allow access to their logical volumes. [Not yet implemented: During volume group activation, if vgchange recognizes snapshot logical volumes which were dropped because they ran out of space, it displays a message informing the administrator that such snapshots should be removed (see lvremove(8)). ]

OPTIONS
See lvm for common options.

-A, --autobackup {y|n}
    Controls automatic backup of metadata after the change. See vgcfgbackup (8). Default is yes.

-a, --available [e|l]{y|n}
    Controls the availability of the logical volumes in the volume group for input/output. In other words, makes the logical volumes known/unknown to the kernel.

    If clustered locking is enabled, add 'e' to activate/deactivate exclusively on one node or 'l' to activate/deactivate only on the local node. Logical volumes with single-host snapshots are always activated exclusively because they can only be used on one node at once.

-c, --clustered {y|n}
    If clustered locking is enabled, this indicates whether this Volume Group is shared with other nodes in the cluster or whether it contains only local disks that are not visible on the other nodes. If the cluster infrastructure is unavailable on a particular node at a particular time, you may still be able to use Volume Groups that are not marked as clustered.

-u, --uuid
    Generate new random UUID for specified Volume Groups.

--monitor {y|n}
    Controls whether or not a mirrored logical volume is monitored by dmeventd, if it is installed. If a device used by a monitored mirror reports an I/O error, the failure is handled according to mirror_image_fault_policy and mirror_log_fault_policy set in lvm.conf(5).

--ignoremonitoring
    Make no attempt to interact with dmeventd unless --monitor is specified. Do not use this if dmeventd is already monitoring a device.

-l, --logicalvolume MaxLogicalVolumes
    Changes the maximum logical volume number of an existing inactive volume group.

-p, --maxphysicalvolumes MaxPhysicalVolumes
    Changes the maximum number of physical volumes that can belong to this volume group. For volume groups with metadata in lvm1 format, the limit is 255. If the metadata uses lvm2 format, the value 0 removes this restriction: there is then no limit. If you have a large number of physical volumes in a volume group with metadata in lvm2 format, for tool performance reasons, you should consider some use of --metadatacopies 0 as described in pvcreate(8).

-s, --physicalextentsize PhysicalExtentSize[kKmMgGtT]
    Changes the physical extent size on physical volumes of this volume group. A size suffix (k for kilobytes up to t for terabytes) is optional, megabytes is the default if no suffix is present. The default is 4 MB and it must be at least 1 KB and a power of 2.

    Before increasing the physical extent size, you might need to use lvresize, pvresize and/or pvmove so that everything fits. For example, every contiguous range of extents used in a logical volume must start and end on an extent boundary.

    If the volume group metadata uses lvm1 format, extents can vary in size from 8KB to 16GB and there is a limit of 65534 extents in each logical volume. The default of 4 MB leads to a maximum logical volume size of around 256GB.

    If the volume group metadata uses lvm2 format those restrictions do not apply, but having a large number of extents will slow down the tools but have no impact on I/O performance to the logical volume. The smallest PE is 1KB.

    The 2.4 kernel has a limitation of 2TB per block device.

-x, --resizeable {y|n}
    Enables or disables the extension/reduction of this volume group with/by physical volumes.

EXAMPLES
To activate all known volume groups in the system:
	vgchange -a y
To change the maximum number of logical volumes of inactive volume group vg00 to 128.
	vgchange -l 128 /dev/vg00

SEE ALSO
lvchange(8), lvm(8), vgcreate(8)